#ifndef ENEMY_TARGET_BODY_HPP
#define ENEMY_TARGET_BODY_HPP

#include <godot_cpp/classes/rigid_body3d.hpp>

namespace godot {
class EnemyTargetBody : public RigidBody3D {
    GDCLASS(EnemyTargetBody, RigidBody3D);
    static void _bind_methods();
public:
    virtual void _enter_tree() override;
    void damage();
};
}

#endif // !ENEMY_TARGET_BODY_HPP
